2018-07-21 23:58 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000333v1.2 Release (Closed)[All Projects] Generalpublic2010-01-06 19:52
ReporterFran 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version1.2 
Target VersionFixed in Version1.2.1 
Summary0000333: Can't see documents under documents TAB
DescriptionWhen on a Project view in Projects module, clicking on Documents tab doesn't show any document.

*Sorry if this is already solved in any revision...(I checked though) I get a little paranoid - I'm getting used to this Mantis-, with the idea of repeating solved issues...don't mean to piss anyone :P

Thanks
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000659

lian (reporter)

Hi, I install W2p in Windows and linux (slackware 13.0) servers with the same problem.

Files are displaying in files menu, but don't display in
project->files tab
task->files tab

thanks in advance.

Lian

~0000664

caseydk (administrator)

Tracked down that the problem is how the autoloader files:
-- the CFileFolder doesn't follow the naming convention we have, hardcoded it in autoloader;
-- the getIcon function is included in the class file despite not being a method, a dummy class load was included to close this;

This is resolved in r861.

~0000668

Fran (reporter)

Last edited: 2009-12-18 01:01

Modifying main_funtions.php from revision 861 results in no fields displayed in Projects Module, Organizations module (under name, date, etc). Nor Project Fields (or Tabs/Plane View fields) are not shown.

Companies and Departments are not displayed either...

Task can be accessed from Task modules but no tabs are displayed under when clicking on a task though....

someone else experiences the same after applying r861?

~0000669

caseydk (administrator)

Ah, there have been some other changes, so you can't go directly to r861.

The solution:

* Update (well, rollback) your main_functions.php to r844 (the v1.2 release);
* Edit your main_functions.php and add these lines:

case 'cfilefolder':
  require_once W2P_BASE_DIR.'/modules/files/files.class.php';
  break;

Just before the line that has:

default:

in the __autoload() function. This should be around line 58 or so.

The other changes that are breaking your current stuff are helper functions that auto-link url's in description fields and some other things. They'll be great additions for v1.3.

~0000673

caseydk (administrator)

Follow steps as described instead of updating to 861.

~0000681

Fran (reporter)

Last edited: 2009-12-23 06:59

This solution works for "Project Module - Files Tab", but I noticed that for "Task View - Files Tab" nothing has changed...no files are displayed. When a file is linked to a task you can not see it in "Task View - Files Tab" ...or maybe I'm misunderstanding the steps to fix it. I followed last caseydk post (0000673).

Thanx

~0000682

caseydk (administrator)

Around line 224 of ./modules/files/index_table.php, find this line:

$file_icon = getIcon($file_row['file_type']);

Immediately before that add this line:

$myFile = new CFile();

And let me know if that takes care of it.

~0000684

caseydk (administrator)

Merged the relevant changes from r844 and r861 in r882 into the version1.2.x branch in svn. A new release should come early next week.

~0000699

Fran (reporter)

Thanx a lot caseydk...your post (0000682) definitely did the trick for me...now I can see files under documents tabs.

Thanks for your nice work!!!

~0000700

caseydk (administrator)

If it's fixed, don't reopen it. ;)

~0000731

caseydk (administrator)

In v1.2.1 release.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-15 04:19 Fran New Issue
2009-12-16 09:09 lian Note Added: 0000659
2009-12-16 10:32 caseydk Status new => assigned
2009-12-16 10:32 caseydk Assigned To => caseydk
2009-12-17 21:46 caseydk Status assigned => resolved
2009-12-17 21:46 caseydk Resolution open => fixed
2009-12-17 21:46 caseydk Note Added: 0000664
2009-12-18 00:57 Fran Status resolved => feedback
2009-12-18 00:57 Fran Resolution fixed => reopened
2009-12-18 00:57 Fran Note Added: 0000668
2009-12-18 01:01 Fran Note Edited: 0000668
2009-12-18 05:01 caseydk Note Added: 0000669
2009-12-19 17:37 caseydk Status feedback => resolved
2009-12-19 17:37 caseydk Resolution reopened => fixed
2009-12-19 17:37 caseydk Note Added: 0000673
2009-12-23 06:57 Fran Status resolved => feedback
2009-12-23 06:57 Fran Resolution fixed => reopened
2009-12-23 06:57 Fran Note Added: 0000681
2009-12-23 06:59 Fran Note Edited: 0000681
2009-12-23 20:41 caseydk Note Added: 0000682
2009-12-24 20:34 caseydk Status feedback => resolved
2009-12-24 20:34 caseydk Resolution reopened => fixed
2009-12-24 20:34 caseydk Note Added: 0000684
2009-12-28 03:55 Fran Status resolved => feedback
2009-12-28 03:55 Fran Resolution fixed => reopened
2009-12-28 03:55 Fran Note Added: 0000699
2009-12-28 05:55 caseydk Status feedback => resolved
2009-12-28 05:55 caseydk Resolution reopened => fixed
2009-12-28 05:55 caseydk Note Added: 0000700
2010-01-06 19:52 caseydk Note Added: 0000731
2010-01-06 19:52 caseydk Status resolved => closed
2010-01-06 19:52 caseydk Fixed in Version => 1.2.1
+Issue History